Interlocker 2.0.0

Install-Package Interlocker -Version 2.0.0
dotnet add package Interlocker --version 2.0.0
<PackageReference Include="Interlocker" Version="2.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Interlocker --version 2.0.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Interlocker, 2.0.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Interlocker as a Cake Addin
#addin nuget:?package=Interlocker&version=2.0.0

// Install Interlocker as a Cake Tool
#tool nuget:?package=Interlocker&version=2.0.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Tiny library encapsulating boilerplate code for interlocked updates using Interlocked.CompareExchange.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on Interlocker:

Package Downloads
Hydrah

.NET Portable Class Library for generic service pooling.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.0.0 648 12/21/2018
1.1.0 818 10/28/2015
1.0.0 657 10/26/2015